package com.ibm.hpt.gateway;

/**
 * /*********************************************************************************************-/ 
 * /*                                                                          					*-/ 
 * /*                           		OCO SOURCE MATERIALS 		                           	*-/ 
 * /*                             		IBM CONFIDENTIAL		                              	*-/ 
 * /*                                    		OR		                                     	*-/ 
 * /*                        		IBM CONFIDENTIAL RESTRICTED		                        	*-/ 
 * /*            		WHEN COMBINED WITH THE AGGREGATED OCO SOURCE MODULES		           	*-/ 
 * /*                           		FOR THIS PROGRAM PRODUCT		                        *-/ 
 * /*                                                                           				*-/ 
 * /*                   		VisualAge Generator Java 4GL Runtime		                    *-/ 
 * /*                          		Version 1.0  5622-585		                            	*-/ 
 * /*                    		(C) COPYRIGHT IBM CORP. 2000		                           	*-/ 
 * /*                                                                           				*-/ 
 * /*********************************************************************************************-/
 * /*********************************************************************************************-/
 * /* File Name:  GatewayUserExit.java                     					 					*-/
 * Created for AuditExits in GatewayServlet Version4.5 FixPack3.								*-/
 * This interface contains developer/customer implemantable methods.							*-/
 * It should be implemented to work with AuditExits.											*-/
 ************************************************************************************************-/
 **/


import com.ibm.vgj.uibean.*;
import com.ibm.hpt.gateway.GatewayAccess;
 
import javax.servlet.http.*;

 
public interface GatewayUserExit 
{
	/**
	 * Copyright information.
	 */
	public static final String COPYRIGHT = "(C) Copyright IBM Corp. 2000, 2001";

	/**
	 * Version information.
	 */
	public static final String VERSION = "4.5";
	
/**
 * Insert the method's description here.
 * Creation date: (11/9/2001 11:20:08 AM)
 * @param bean com.ibm.vgj.uibean.VGJUIRecordBean
 * @param ga com.ibm.hpt.gateway.GatewayAccess
 * @param request javax.servlet.http.HttpServletRequest
 * @param response javax.servlet.http.HttpServletResponse
 */
void uirAuditExitIn(VGJUIRecordBean bean, GatewayAccess ga, HttpServletRequest request, HttpServletResponse response);
/**
 * Insert the method's description here.
 * Creation date: (11/9/2001 11:20:37 AM)
 * @param bean com.ibm.vgj.uibean.VGJUIRecordBean
 * @param ga com.ibm.hpt.gateway.GatewayAccess
 * @param request javax.servlet.http.HttpServletRequest
 * @param response javax.servlet.http.HttpServletResponse
 */
void uirAuditExitOut(VGJUIRecordBean bean, GatewayAccess ga, HttpServletRequest request, HttpServletResponse response);
}
